import React, {
	createContext,
	useContext,
	useRef,
	useEffect,
	useState,
	useCallback,
} from 'react'



export const SocketContext = createContext();


export const SocketProvider = ({ children, store , token}) => {
	
	const socket = useRef(null);
	var roomId = "room_1";
	var clusterId = "demo";
	var apiKey = "VCXCEuvhGcBDP7XhiJJUDvR1e1D3eiVjgZ9VRiaV";
	const SERVICE_URL = `wss://${clusterId}.piesocket.com/v3/${roomId}?api_key=${apiKey}`

	useEffect(() => {
    socket.current = new WebSocket(SERVICE_URL);
		socket.current.onopen = () => {
			console.log('WebSocket Client Connected');
		}
  }, []);


	return (
		<SocketContext.Provider value={socket.current}>
			{children}
		</SocketContext.Provider>
	)
}


export const useSocket = () => useContext(SocketContext);

