import React from 'react';
import ReactDOM from 'react-dom/client';
import { BrowserRouter as Router, Routes, Route} from 'react-router-dom';
import './index.css';
import App from './App';
import Page1 from './Page1';
import Page2 from './Page2';
import reportWebVitals from './reportWebVitals';
import { SocketProvider } from './context/socket'

const root = ReactDOM.createRoot(document.getElementById('root'));
root.render(
  <React.StrictMode>
    <SocketProvider token="12345">
      <Router>
        
        <Routes>
          <Route exact path='/' exact element={<App />} />
          <Route path='/page1' element={<Page1/>} />
          <Route path='/page2' element={<Page2/>} />
        </Routes>
      </Router>
      
    </SocketProvider>
  </React.StrictMode>
);

// If you want to start measuring performance in your app, pass a function
// to log results (for example: reportWebVitals(console.log))
// or send to an analytics endpoint. Learn more: https://bit.ly/CRA-vitals
reportWebVitals();
